Bug Hunting Session
Bug 51223 - EDITING: Cannot undo auto-capitalise with enter
Summary: EDITING: Cannot undo auto-capitalise with enter
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Nickson Thanda
URL:
Whiteboard: BSA target:6.2.0
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2012-06-19 00:24 UTC by john.pratt
Modified: 2018-07-19 13:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description john.pratt 2012-06-19 00:24:09 UTC
Problem description: when libreoffice capitalises the first letter of the sentence this cannot be undone (with CTRL-Z or undo button) when you have started a new line

Steps to reproduce:
1. open a new writer document
2. type a word without a capital letter
3. press return or enter
4. a new line is started and the first letter is changed to a capital
5. undo the capital with CTRL-Z or the undo button

Current behavior: the new line is removed, so you have to go back and change it to a lower case letter manually

Expected behavior: the capitalisation is undone

Workaround: disable auto-capitalise

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:13.0) Gecko/20100101 Firefox/13.0
Comment 1 bfoman (inactive) 2012-06-20 02:34:22 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Undoing auto-capitalise needs two Ctrl-Z (Undo button) actions.
First will undo newline, second will undo auto-capitalise.
But then, by hitting enter, user enters auto-capitalise loop because first
letter is changed again. This needs manual correction or disabling a feature.
Users migrating from Word 2010 would be surprised by this behavior.
Comment 2 john.pratt 2013-02-03 15:09:28 UTC
Can produce on Windows XP with:
Version 4.1.0.0.alpha0+ (Build ID: 28b7359e00fec9fd3bfab3c9105cf250c4320a2)
TinderBox: Win-x86@6, Branch:master, Time: 2013-02-02_00:14:06
Comment 3 QA Administrators 2015-02-19 15:37:43 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-07 13:24:48 UTC
Now if you do two undos, it selects the offending first letter.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 5 tommy27 2016-04-16 07:28:00 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:25:30 UTC Comment hidden (obsolete)
Comment 7 sdc.blanco 2018-06-15 00:11:17 UTC
L0 5.4.7.2

1. (in contrast to original report). Need to have a period on the preceding line for auto-capitalization to work.  
2. But then as last reported:  First undo removes newline. Second undo changes capital back to lowercase.

Expected behavior:  Not only should undo the capital, but also leave the new line.
Comment 8 Commit Notification 2018-07-02 07:33:48 UTC
Nickson Thanda committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=391134e4cc0cf444ac50c6df02073de57ad9c466

tdf#51223 can now undo auto-capitalise with enter

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.